EZCart Docs
ApiV1StoreProducts

List products available in the storefront

List products available in the storefront. Filtered to products enabled in the shops scoped by the publishable key.

GET
/v1/store/products

Query Parameters

page?number
Range1 <= value
limit?number
Range1 <= value <= 100
search?string
categoryId?string
categorySlug?string
minPrice?number
Range0 <= value
maxPrice?number
Range0 <= value
tags?string
sortBy?||
sortOrder?|

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/products"
{
  "data": [
    {
      "id": "string",
      "slug": {},
      "name": "string",
      "description": "string",
      "sku": "string",
      "originalPrice": 0,
      "salePrice": {},
      "thumbnail": {},
      "images": [
        "string"
      ],
      "tags": [
        "string"
      ],
      "productType": {},
      "unitName": {},
      "attributes": {},
      "seo": {
        "metaTitle": {},
        "metaDescription": {},
        "metaKeywords": [
          "string"
        ],
        "ogImage": {}
      },
      "sizeGuide": {},
      "categories": [
        {
          "id": "string",
          "name": "string",
          "slug": "string"
        }
      ],
      "variants": [
        {
          "id": "string",
          "originalPrice": 0,
          "salePrice": {},
          "inStock": true,
          "lowStock": true,
          "images": [
            "string"
          ],
          "optionValues": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "variantOptions": [
        {
          "key": "string",
          "values": [
            "string"
          ],
          "position": 0
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "page": 0,
  "limit": 0,
  "totalPages": 0
}